NetworkServiceOffering:
    subClassOf: ['gax-trust-framework:Infrastructure']
    prefix: 'gax-trust-framework'
    attributes:
    -   title: 'serviceType'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        valueIn: ['virtual', 'bare-metal', 'mixed']
        cardinality: '0..1'
        description: 'Type of Service Offering. Choose one of the following: virtual, bare-metal, mixed'
        exampleValues: ['virtual', 'bare-metal', 'mixed']

    -   title: 'publicIpAddressProvisioning'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        valueIn: [ 'floating', 'fixed', 'provider-network' ]
        cardinality: '0..1'
        description: 'Defines how public IP address are provided. Floating: floating ips are supported .'
        exampleValues: [ 'floating', 'fixed', 'provider-network' ]

    -   title: 'ipVersion'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        valueIn: [ 'ipV6', 'IPv4']
        cardinality: '0..1'
        description: 'Version of IP address supported. IPv4: only ipV4 addresses are supported. IPv6: both version iIPV4 and IPv6 are supported.'
        exampleValues: [ 'IPV6', 'IPv4']

    -   title: 'tenantSeparation'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        valueIn: ['virtual', 'physical']
        cardinality: '0..1'
        description: 'Default: virtual. How networks of different tenants are separated.'
        exampleValues: ['virtual', 'physical']
